Subject: bug#50470: 27.1; 'company-mode' 'eshell'

From: Jim Porter <[email-masked]>
Date: Fri, 17 Mar 2023 23:36:55 -0700

On 3/17/2023 6:01 PM, Dmitry Gutov wrote:
> On 17/03/2023 08:26, Jim Porter wrote:
>> The below patch does this, but it's probably not the right way to do 
>> it.   However, it's a simple change, and before I go through the 
>> larger effort of a proper patch, I want to be sure I'm actually 
>> solving the right thing.
> 
> I can't comment on the exact right way to implement this, but the patch 
> does seem to solve the remaining problem here. Which is completion for 
> inputs containing *. The result looks rather nice.

Excellent. I'll get to work on a final patch then. I have a pretty good 
idea of some ways to implement it, but it'll definitely need some 
regression tests to go with it.

Hopefully I can get it finished up over the weekend.